<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "dipmain";
$file = "dipreading.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`shift` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    }  elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`shift` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchdt`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchdt`";
    } elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
    } elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `shift`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT a.vouchno,DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt, a.staffcode, a.shift, b.accode, b.name FROM $maindb a,"
        . " accmast b WHERE `vouchno` != '' and a.staffcode = b.accode $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'mydt'    => $r[mydt],
        'staffcode'    => $r[name],
        'shift'    => $r[shift],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
